<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  //***********************************************************************************************************
 
//***********************************************************************************************************
  $objPer=new clsPer; 
  if($ver=='1'){
  //$control_v = array();  
  $control_v1 = array();
  } 
  	
	if($ver=='1'){	
	  $control_v1=$control_v;
		while(list($clavex,$valor2)=each($control_v1)){
		$har=$valor2[0];
		$hs=$valor2[1];
		$hl=$valor2[2];											
		$hap=$valor2[3];																				
		$de=$valor2[4];
		$para=$valor2[5];											
		$distancia=$valor2[6];
		$obser=$valor2[7];
		$cod_rutadet=$valor2[8];
		$combustible=$valor2[9];
		$facturable=$valor2[10];
		$thpv=$valor2[11];
		$thpt=$valor2[12];
		$tvhm=$valor2[13];
		$tvthm=$valor2[14];
		$programado=$valor2[15];
		$fechasalida=$valor2[16];
		$fechallegada=$valor2[17];
		$hdes=$valor2[18];
		$tvdhm=$valor2[19];
		$pax=$valor2[20];
		$carga=$valor2[21];
		if($clave1==$clavex){
			if($campo=='har'){ 
			$har=$valor;
			$thpv=calcular_tiempo_trasnc($hdes,$hs);
			$thpt=calcular_tiempo_trasnc($hap,$har); 
			//*******
			$thpdes=calcular_tiempo_trasnc($hdes,$hl);
			//*******
			$tvhm=calcular_horas_formato_inversa1($thpv);
			$tvthm=calcular_horas_formato_inversa1($thpt); 
			//*******
			$tvdhm=calcular_horas_formato_inversa1($thpdes);
			//*******
			/* $tvhm=RestarHoras($hs,$hl);
			$tvthm=RestarHoras($har,$hap);
			$thpv = convertirhhmmtohoras($tvhm);			
			$thpt = convertirhhmmtohoras($tvthm); */
			
			$control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='hs'){ 
			$hs=$valor;
			$thpv=calcular_tiempo_trasnc($hdes,$hs);
			$thpt=calcular_tiempo_trasnc($hap,$har);
			//*******
			$thpdes=calcular_tiempo_trasnc($hdes,$hl);
			//*******
			$tvhm=calcular_horas_formato_inversa1($thpv);
			$tvthm=calcular_horas_formato_inversa1($thpt);
			//*******
			$tvdhm=calcular_horas_formato_inversa1($thpdes);
			//******* 
			/* $tvhm=RestarHoras($hs,$hl);
			$tvthm=RestarHoras($har,$hap);
			$thpv = convertirhhmmtohoras($tvhm);			
			$thpt = convertirhhmmtohoras($tvthm);  */
			$control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='hl'){ 
			$hl=$valor; 
			$thpv=calcular_tiempo_trasnc($hdes,$hs);
			$thpt=calcular_tiempo_trasnc($hap,$har);
			//*******
			$thpdes=calcular_tiempo_trasnc($hdes,$hl);
			//*******
			$tvhm=calcular_horas_formato_inversa1($thpv);
			$tvthm=calcular_horas_formato_inversa1($thpt); 
			//*******
			$tvdhm=calcular_horas_formato_inversa1($thpdes);
			//*******
			/* $tvhm=RestarHoras($hs,$hl);
			$tvthm=RestarHoras($har,$hap);
			$thpv = convertirhhmmtohoras($tvhm);			
			$thpt = convertirhhmmtohoras($tvthm); */
			$control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='hap'){ 
			$hap=$valor; 
			$thpv=calcular_tiempo_trasnc($hdes,$hs);
			$thpt=calcular_tiempo_trasnc($hap,$har); 
			//*******
			$thpdes=calcular_tiempo_trasnc($hdes,$hl);
			//*******
			$tvhm=calcular_horas_formato_inversa1($thpv);
			$tvthm=calcular_horas_formato_inversa1($thpt);
			//*******
			$tvdhm=calcular_horas_formato_inversa1($thpdes);
			//******* 
			/* $tvhm=RestarHoras($hs,$hl);
			$tvthm=RestarHoras($har,$hap);
			$thpv = convertirhhmmtohoras($tvhm);			
			$thpt = convertirhhmmtohoras($tvthm); */
			$control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='hdes'){ 
			$hdes=$valor; 
			$thpv=calcular_tiempo_trasnc($hdes,$hs);
			$thpt=calcular_tiempo_trasnc($hap,$har); 
			//*******
			$thpdes=calcular_tiempo_trasnc($hdes,$hl);
			//*******
			$tvhm=calcular_horas_formato_inversa1($thpv);
			$tvthm=calcular_horas_formato_inversa1($thpt);
			//*******
			$tvdhm=calcular_horas_formato_inversa1($thpdes);
			//******* 
			/* $tvhm=RestarHoras($hs,$hl);
			$tvthm=RestarHoras($har,$hap);
			$thpv = convertirhhmmtohoras($tvhm);			
			$thpt = convertirhhmmtohoras($tvthm); */
			$control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='de'){
			$de=$valor;  
			$rs=$objPer->getLugarDistanciaParam($de,$para);
			$row=$objPer->NextRow($rs);
			$distancia=$row['distancia'];
			$control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);
			}elseif($campo=='para'){
			$para=$valor; 
			$rs=$objPer->getLugarDistanciaParam($de,$para);
			$row=$objPer->NextRow($rs);
			$distancia=$row['distancia']; 
			$control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);
			}elseif($campo=='fechasalida'){ $fechasalida=$valor; $control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);
			}elseif($campo=='fechallegada'){ $fechallegada=$valor; $control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);
			}elseif($campo=='obser'){ $obser=$valor; $control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='combustible'){ $combustible=$valor; $control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='facturable'){ $facturable=$valor; $control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}	
			elseif($campo=='programado'){ $programado=$valor; $control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='pax'){ $pax=$valor; $control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}
			elseif($campo=='carga'){ $carga=$valor; $control_v[$clave1]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);}	
		}else{
		$control_v[$clavex]=array("$har",$hs,$hl,$hap,$de,$para,$distancia,$obser,$cod_rutadet,$combustible,$facturable,$thpv,$thpt,$tvhm,$tvthm,$programado,$fechasalida,$fechallegada,$hdes,$tvdhm,$pax,$carga);
		}
		}
		
	}
	
	
	$v=1;
	$r=$ver;
	$via=$via;
	$cod_ruta=$param;
	$valor;
	$clave1;
	$campo;	
 include("../p_rutas_detalle_edit.php");	
  
?>